\usepackage[font={tiny}]{caption}
\usepackage{dirtytalk}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% maths

\usepackage{amsthm, amsmath, amsfonts, amssymb, amsthm, mathtools}
\usepackage[ruled, vlined]{algorithm2e}